#ifndef __LIMITS_H__
#define __LIMITS_H__

#define CHAR_BIT 8
#define SCHAR_MIN -127
#define SCHAR_MAX +127 
#define UCHAR_MAX 255
CHAR_MIN
CHAR_MAX 	These define the minimum and maximum values for a char. If a char is being represented as a signed integer, then their values are the same as the signed char (SCHAR) values. Otherwise CHAR_MIN is 0 and CHAR_MAX is the same as UCHAR_MAX.
//MB_LEN_MAX 1 	Maximum number of bytes in a multibyte character.
#define SHRT_MIN -32767
#define SHRT_MAX +32767
#define USHRT_MAX 65535
#define INT_MIN -32767 
#define INT_MAX +32767
#define UINT_MAX 65535
#define LONG_MIN -2147483647
#define LONG_MAX +2147483647
#define ULONG_MAX 4294967295

#endif
