/***********************************************************************/
/*  This file is part of the C166 Compiler package                     */
/*  Copyright KEIL ELEKTRONIK GmbH 1993 - 1999                         */
/***********************************************************************/
/*                                                                     */
/*  CALLOC.C:                                                          */
/*                                                                     */
/*  To translate this file use C166 with the following invocation:     */
/*                                                                     */
/*     C166 CALLOC.C  <memory model>                                   */
/*                                                                     */
/*  To link the modified CALLOC.OBJ file to your application use the   */
/*  following L166 invocation:                                         */
/*                                                                     */
/*     L166 <your object file list>, CALLOC.OBJ <controls>             */
/*                                                                     */
/***********************************************************************/

#include <string.h>
#include <stdlib.h>
#include "malloc.h"



void *calloc (size_t size, size_t len)
{
    void *p;

    size *= len;
    p = malloc (size);
    if (p)
    {
        memset(p, 0, size);
    }

    return (p);
}
