
;These are Data entry points into the ROM in the Cybiko.
; BUT only for version 117 on the cybiko version 2. US only?
; BOOTROM117 must be defined to take advantage of faster storage


.text
.h8300s

.global _asciix
.global _asciiX     ; hex values are in capitals


; ASCII table: 0123456789ABCDEF

#ifdef BOOTROM117
    .set    _asciiX,  0x077A
    .set    _asciix,  0x078B

#else

_asciiX:
    .ascii "0123456789ABCDEF"   ; no trailing zero with 'ascii'

_asciix:
    .ascii "0123456789abcdef"   ; no trailing zero with 'ascii'

#endif



