// Cyborn Library (c) 2004 Gotthardt Designs


#define min(a, b) (((a) > (b)) ? (b) : (a))


void *malloc(unsigned long size);

#ifndef memset
void *memset(char *dest, int value, unsigned long size);
#endif

void *memmove(void *src1, const void *src2, unsigned long size);

#ifndef memcpy
void *memcpy(void *dest, const void *src, unsigned long size);
#endif



//  S T R I N G   F U N C T I O N S
unsigned long strlen(const char *src);
char *strcpy(char *dest, const char *src);
int strcmp(const char *src1, const char *src2);
char *strcat(char *dest, const char *src);
char *strncpy( char *dest, const char *src, unsigned long size);





