

#include "gfx.h"
#include "surface.h"


void
Blit(SurfaceT  *surface,   // graphics context
        unsigned        x,          // where to blit
        unsigned        y,          //
        PixmapT         *src,       // pixmap source
        RectT           *rect)      // destination location
{
    unsigned destx;
    unsigned desty;

    // TODO: use monitor, etc to optimize this
    for (destx = 0; destx < rect->w; destx++)
    {
        for (desty = 0; desty < rect->h; desty++)
        {
            GfxPixelX(surface, x + destx, y + desty,
                PixmapColor(src, rect->x + destx, rect->y + desty));
        }
    }
}

