#include <string.h>
#include "surface.h"


void
SurfaceRect(SurfaceT *surface,
unsigned col,
unsigned row,
unsigned width,
unsigned height)
{
    char *sectionbuffer;

    // optimize if the width is full width
    if (width >= surface->cols)
    {
        sectionbuffer = surface->buffer + surface->cols * row;
        memset(sectionbuffer, surface->fgPattern, surface->cols * height);
    }
    else
    {
        sectionbuffer = surface->buffer + col + surface->cols * row;

        // how many rows to do = height
        while (height--)
        {
            memset(sectionbuffer, surface->fgPattern, width);
            sectionbuffer += surface->cols;
        }
    }
}


