#include <stdlib.h>
#include "gfx.h"
#include "surface.h"



pSurfaceT
SurfaceCreate(unsigned cols, unsigned rows)
{
    pSurfaceT creation;

    // create the buffer and the struct at the same time
    creation = (pSurfaceT)malloc(sizeof(SurfaceT) + cols * rows);

    if (creation)
    {
        creation->cols = cols;
        creation->rows = rows;

        // The buffer points to the data past the size of the struct
        creation->buffer = (char *)creation + sizeof(SurfaceT);

        // default colors
        creation->fgPattern = GFX_COLOR_BLK;
        creation->bgPattern = GFX_COLOR_WHT;
    }

    return creation;
}


