
#include "gfx.h"
#include "rect.h"



///////////////////////////////////////////////////////////////////
/////////////////////////////  B I T M A P S  ////////////////////
/////////////////////////////////////////////////////////////////

// header for each and every bitmap
typedef struct
{
    unsigned char Hoff; // horizontal offset
    unsigned char Voff; // vertical offset
    unsigned char Wide; // how wide is the bitmap
    unsigned char High; // how high
} BitmapHeaderT;



// found at the head of the file
typedef struct
{
    unsigned char   Type;       // what have we got in here?
    unsigned char   Count;      // how many bitmaps?
    unsigned char   Wmax;       // widest bitmap
    unsigned char   Hmax;       // highest bitmap
} BitmapSequenceT;


////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////


unsigned
PixmapColor(PixmapT *map, unsigned x, unsigned y);


void
PixmapBlit(GfxContextT  *context,   // graphics context
        unsigned        x,          // where to put the image
        unsigned        y,          //
        PixmapT         *src,       // pixmap source
        RectT           *rect);     // destination location


