#ifndef     __STATUS_H__
#define     __STATUS_H__


typedef unsigned char StatusT;

#define ST_OK       0x00    // all is well
#define ST_MEMORY   0x01    // not enough memory
#define ST_NULL     0x02    // NULL pointer not expected
#define ST_RX       0x03
#define ST_TIMEOUT  0x04
#define ST_FULL     0x05
#define ST_NOINIT   0x06    // the resource is not initialized
#define ST_EMPTY    0x07    // empty
#define ST_BLOCKED  0x08    // blocked
#define ST_RESOURCE 0x09    // no such resource
#define ST_OWNER    0x0A    // not the owner
#define ST_NOTFOUND 0x0B    // couldn't find it



#endif
