;
;    Cyborn OS - Copyright (C) 2004 Steve Gotthardt - Gotthardt Designs
;
;    This file is part of the Cyborn distribution.
;
;    Cyborn is free software; you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation; either version 2 of the License, or
;    (at your option) any later version.
;
;    Cyborn is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with Cyborn; if not, write to the Free Software
;    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
;    A special exception to the GPL can be applied should you wish to distribute
;    a combined work that includes Cyborn, without being obliged to provide
;    the source code for any proprietary components.  
;


    .h8300s
    .text

    .global __timerticks
    .global __timerset


;; these routines are based on the ROM for the cybiko setting up the vector, etc
;; If the vector for the timer is set to something else (like the sound system might do) the timer
;; wont work anymore - be careful

; er0 returns ticks
__timerticks:
    mov     @0xFFEC08,   er0
    rts    
    

; er0 will set ticks
__timerset:
    mov     er0,	@0xFFEC08
    rts    
    



