;
;    Cyborn OS - Copyright (C) 2004 Steve Gotthardt - Gotthardt Designs
;
;    This file is part of the Cyborn distribution.
;
;    Cyborn is free software; you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation; either version 2 of the License, or
;    (at your option) any later version.
;
;    Cyborn is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with Cyborn; if not, write to the Free Software
;    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
;    A special exception to the GPL can be applied should you wish to distribute
;    a combined work that includes Cyborn, without being obliged to provide
;    the source code for any proprietary components.  
;


    .h8300s
    .text

    .global __vibrate_on
    .global __vibrate_off
    ;input on/off

    
    .set P1DATA, 0x60
    .set VIBEBIT, 6


;NOTE: do not use RMW commands on write only registers like the DDR for ports!
;NOTE: modules must be enabled first or the registers are dead


;The vibrator motor is driven by a transistor. From the schematic, the
; transistor is not protected by a diode, so the transistor is getting
; blown by the back EMF from the motor - bad design

;Some kind of library init should set the port so that the port DDR is set to
; output

__vibrate_on:
    bclr    #VIBEBIT,   @P1DATA:8
    rts

__vibrate_off:
    bset    #VIBEBIT,   @P1DATA:8
    rts
    

