



#include "gfx.h"


void GfxCircle(SurfaceT *surface, GfxPT xc, GfxPT yc, unsigned radius)

{
    int x, y, d;

    d = 3 - (radius<<1);
    x = 0;
    y = radius;

    while (x <= y)
    {
        GfxPixel(surface, xc+x, yc+y);
        GfxPixel(surface, xc+x, yc-y);
        GfxPixel(surface, xc-x, yc+y);
        GfxPixel(surface, xc-x, yc-y);
        GfxPixel(surface, xc+y, yc+x);
        GfxPixel(surface, xc+y, yc-x);
        GfxPixel(surface, xc-y, yc+x);
        GfxPixel(surface, xc-y, yc-x);

        if (d < 0)
        {
            d += (x << 2) + 6;
        }
        else
        {
            d += ((x-y) << 2) + 10;
            y--;
        }
        x++;
    }
}


