
.h8300s

.global _GfxPixel

.text

; fore      0
; back      1
; col       2
; rows      4
; buffer    8   // aligned


_GfxPixel:
    mov     @(0x2:16,er0),  r3  ; number of column bytes
    mulxu   r3,             er2  ; cols * y
    mov     r1,             r3  ; get x 
    shlr    #0x2,           r3  ; /4
    add     r3,             r2  ; r2 is index of byte
    mov     @(0x8:16,er0),  er3
    add     er3,            er2 ; points to byte: er2

    and     #0x3,           er1
    mov     @(_gfxpixelmask, er1),  r1l    ; mask -> r1l
    
    mov     @er0,           r0l ; foreground pattern -> r0l
    and     r1l,            r0l ; mask the pattern -> r01

    mov     @er2,   r0h         ; byte to modify -> r0h
    not     r1l
    and     r1l,    r0h         ; clear out the byte color

    or      r0h,    r0l         ; or the color/pattern

    mov     r0l,    @er2        ; save the byte

    rts   

