
#include "lcd.h"



// Note that the display is upside down for the cybiko
// That translation will take place here in this file so that row 0 is
// at the top of the display


// display a line of data to the LCD starting at byte x and width
void inline
LcdRow(unsigned char *data, unsigned col, unsigned row, unsigned width)
{
    if (width)
    {
        // index to the X address
        // what column to start at
        LCD_INDEX(HD66421_REG_R2);
        LCD_WRITE(col);

        // row is inverted on the cybiko line/row 0 is at the bottom, 99 is top
        LCD_INDEX(HD66421_REG_R3);
        LCD_WRITE(99 - row);

        // index to the data access register - reg 4
        LCD_INDEX(HD66421_REG_R4);
        do
        {
            LCD_WRITE(*data++);
        } while (--width);
    }
}




