
#include "surface.h"
#include "lcd.h"


// move the section into the display memory
void
SurfaceDisplay(SurfaceT const *surface, unsigned col, unsigned row)
{
    unsigned        srcrow;
    unsigned char   *sectionbuffer;

    sectionbuffer = surface->buffer;

    // for all of the rows put out all of the columns
    for (srcrow = 0;;)
    {
        LcdRow(sectionbuffer, col, row + srcrow, surface->cols);
        
        sectionbuffer += surface->cols;

        // did we do all of the rows?
        if (++srcrow == surface->rows) break;
    }
}


