


    .h8300s
    .text


    .global  _ContextSwitch

    .extern  _CurrentContext
    .extern  _NextContext



_ContextSwitch:
    ;;
    ;; clear interrupt bit
    mov.b   @0x2f:8, r0l            ; Clear IRQ6 - Read/mask/write
    and.b   #0xbf, r0l
    mov.b   r0l, @0x2f:8

    mov.l   @_CurrentContext, er6   ; save sp of current context
    mov.l   sp, @(0x8:16,er6)

    mov.l    @_NextContext, er6     ; get the sp from the next context
    mov.l    er6, @_CurrentContext  ;
    mov.l    @(0x8:16,er6), sp        ; load its stack pointer

    rts                             ; use rts to return to monitor rom cleanup
                                    ; and finish the context switch



